/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLastchange;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLastchangeRecord extends TableRecordImpl<TCoreLastchangeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_lastchange.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_lastchange.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_lastchange.schemaname</code>.
     */
    public void setSchemaname(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_lastchange.schemaname</code>.
     */
    public String getSchemaname() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_lastchange.tablename</code>.
     */
    public void setTablename(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_lastchange.tablename</code>.
     */
    public String getTablename() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLastchangeRecord
     */
    public TCoreLastchangeRecord() {
        super(TCoreLastchange.T_CORE_LASTCHANGE);
    }

    /**
     * Create a detached, initialised TCoreLastchangeRecord
     */
    public TCoreLastchangeRecord(LocalDateTime lastchange, String schemaname, String tablename) {
        super(TCoreLastchange.T_CORE_LASTCHANGE);

        setLastchange(lastchange);
        setSchemaname(schemaname);
        setTablename(tablename);
        resetChangedOnNotNull();
    }
}
